import 'package:flutter/material.dart';
import 'package:flutter_dojo/common/demo_item.dart';

class BackendMainPageListItem extends StatelessWidget {
  final DemoItem demoItem;

  BackendMainPageListItem(this.demoItem);

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      child: Container(
        child: Card(
          child: Row(
            children: <Widget>[
              Padding(
                padding: const EdgeInsets.only(top: 16.0, bottom: 16, left: 48),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: <Widget>[
                    Container(
                      child: Text(
                        demoItem.title,
                        style: TextStyle(
                          fontSize: 20,
                          fontWeight: FontWeight.bold,
                          color: Color.fromARGB(255, 100, 100, 135),
                        ),
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.only(top: 8),
                      child: Text(
                        demoItem.subtitle,
                        style: TextStyle(
                          fontSize: 12,
                          color: Color.fromARGB(255, 100, 100, 135),
                        ),
                      ),
                    ),
                  ],
                ),
              ),
              Spacer(),
              Padding(
                padding: const EdgeInsets.only(right: 48),
                child: CircleAvatar(
                  child: Icon(demoItem.icon),
                ),
              ),
            ],
          ),
        ),
      ),
      onTap: () {
        Navigator.push(
          context,
          MaterialPageRoute(builder: demoItem.buildRoute),
        );
      },
    );
  }
}
